Name: lyx
Version: 1.3.4
Release: alt2

Summary: LyX - a WISYWIM word processor for the Desktop Environment
Summary(ru_RU.KOI8-R): LyX --  ,   LaTeX  XML

License:	GPL
Group:		Publishing
URL: http://www.lyx.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.bz2

Source1: lyx16.xpm
Source2: lyx32.xpm
Source3: lyx48.xpm

Source4: %name-%version.ru.po
Source5: %name-%version.rudoc.tar.bz2
Source6: lyxcat

Patch0: %name-%version-alt.patch


BuildPreReq: XFree86-devel >= 4.0.2, libxforms-devel >= 1.0, python, gcc-c++ >= 3.2

# Edit manually 04.04.03
BuildRequires: ImageMagick XFree86-devel XFree86-libs fontconfig freetype2 libXft libexpat libjpeg-devel liblcms libltdl-devel libmng libqt3-devel libstdc++-devel libxforms-devel xpm-devel

# sgml-tools sgmltools-lite 

Requires: %name-qt = %version-%release
Requires: %name-xforms = %version-%release
Requires: latex2rtf latex2html wv-tetex tetex-core tetex-latex tetex-dvips tetex-xdvi gv ghostscript 

%description
LyX is a modern approach to writing documents which breaks with the
obsolete "typewriter paradigm" of most other document preparation
systems.

It is designed for people who want professional quality output
with a minimum of time and effort, without becoming specialists in
typesetting.

The major innovation in LyX is WYSIWYM (What You See Is What You Mean).
That is, the author focuses on content, not on the details of formatting.
This allows for greater productivity, and leaves the final typesetting
to the backends (like LaTeX) that are specifically designed for the task.

With LyX, the author can concentrate on the contents of his writing,
and let the computer take care of the rest.

%description -l ru_RU.KOI8-R
LyX --      ,
      
 ,      
.

   ,     
  ,        ,
      .

   LyX --  WYSIWYM (What You See Is What You Mean --
  ,     ),  ,  
   ,     
.    , 
    (  LaTeX),
     .

 LyX       
         .

 lyx    .    
tetex,  lyx-qt  lyx-xforms .

%package common
Summary: LyX - a word processor for the Desktop Environment
Summary(ru_RU.KOI8-R): LyX --  ,   LaTeX  XML
Group:		Publishing
AutoReq: yes, noperl
Requires: ImageMagick XFree86 >= 4.0.2 groff-base transfig

%description common
LyX is a modern approach to writing documents which breaks with the
obsolete "typewriter paradigm" of most other document preparation
systems.

It is designed for people who want professional quality output
with a minimum of time and effort, without becoming specialists in
typesetting.

The major innovation in LyX is WYSIWYM (What You See Is What You Mean).
That is, the author focuses on content, not on the details of formatting.
This allows for greater productivity, and leaves the final typesetting
to the backends (like LaTeX) that are specifically designed for the task.

With LyX, the author can concentrate on the contents of his writing,
and let the computer take care of the rest.


%description common -l ru_RU.KOI8-R
LyX --      ,
       
 ,      
.

   ,     
  ,        ,   
   .

   LyX --  WYSIWYM (What You See Is What You Mean --
  ,     ),  ,  
   ,     
.    , 
    (  LaTeX),
     .

 LyX       
         .


%package xforms
Summary: LyX - a word processor for the Desktop Environment
Summary(ru_RU.KOI8-R): LyX --  ,   LaTeX  XML
Group:		Publishing
Requires: %name-common = %version-%release
Requires: libxforms >= 1.0

%description xforms
LyX with XForms interface. See the description in lyx-common package for
details.

%package qt
Summary: LyX - a word processor for the Desktop Environment
Summary(ru_RU.KOI8-R): LyX --  ,   LaTeX  XML
Group:		Publishing
Requires: %name-common = %version-%release
Requires: latex-xft-fonts

%description qt
LyX with QT interface. See the description in lyx-common package for
details.

%prep
%setup -q
%patch0 -p0
cp -f %{SOURCE4} po/ru.po
tar xvfj %{SOURCE5}

%build

# This will break if we link with a C++ library which uses STL containers or
# std::string as parameters or return values.  Currently LyX does not use such
# libraries; when the GTK-- interface will be ready, this will need to be
# changed.

%add_optflags -fno-exceptions -Wno-sign-compare -D_NOTHREADS
#%undefine __libtoolize
#HACK: for bad goldhead's XFree build
%__subst 's|LIBS="-lforms|LIBS="-lforms -lXext|' ./configure
%__subst 's|XFORMS_LIB="-lforms|XFORMS_LIB="-lforms -lXext|' ./configure

# for configure error in LyX 1.3.3
%__subst 's|xfonts/PSres.upr$|xfonts/PSres.upr \|\| true|' lib/Makefile.in
# template for dynamic replace using encoding
cp lib/languages lib/languages.template

########### XForms interface ################
%configure --without-warnings --with-frontend=xforms
# --without-included-boost
%make_build
mv src/lyx src/lyx-xforms

#make clean

########### Qt interface ####################
%configure --without-warnings --with-frontend=qt --with-qt-dir=%_libdir/qt3
# --without-included-boost

%make_build

# update TOC files
#cd lib/doc
#make
#cd -

%install
%makeinstall

install src/%name-xforms %buildroot/%_bindir
(cd %buildroot/%_bindir; mv %name %name-qt; ln -s %name-qt %name)
install lib/languages.template $RPM_BUILD_ROOT/%_datadir/%name/languages.template

mkdir -p $RPM_BUILD_ROOT/%_menudir
cat >$RPM_BUILD_ROOT%_menudir/%name-xforms <<EOF
?package(lyx-xforms): command="%_bindir/%name-xforms" needs="X11" \\
icon="lyx.xpm" \\
section="Applications/Publishing" \\
title="LyX (XForms interface)" \\
genericname="Text Processing" \\
longtitle="LyX text processor - especially \
good at scientific documents"
EOF

cat >$RPM_BUILD_ROOT%_menudir/%name-qt <<EOF
?package(lyx-qt): command="%_bindir/%name-qt" needs="X11" \\
icon="lyx.xpm" \\
section="Applications/Publishing" \\
title="LyX (Qt interface)" \\
genericname="Text Processing" \\
longtitle="LyX text processor - especially \
good at scientific documents"
EOF

#mdk icons
install -D -m644 %SOURCE1 $RPM_BUILD_ROOT%_miconsdir/lyx.xpm
install -D -m644 %SOURCE2 $RPM_BUILD_ROOT%_iconsdir/lyx.xpm
install -D -m644 %SOURCE3 $RPM_BUILD_ROOT%_liconsdir/lyx.xpm

for i in BUGS README CHANGES TODO MANIFEST; do
  cp -a lib/reLyX/$i $i.reLyX
done

%__install -m755 %SOURCE6 $RPM_BUILD_ROOT/%_bindir

#
# Set up the lyx-specific class files where TeX can see then
#
TEXMF=%_datadir/texmf
mkdir -p $RPM_BUILD_ROOT/$TEXMF/tex/latex
cp -ar $RPM_BUILD_ROOT/%_datadir/%name/tex $RPM_BUILD_ROOT/$TEXMF/tex/latex/%name


%find_lang %name

%post
%update_menus

# Fix the TeX file hash
if [ $1 = 1 ] ; then
    [ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:
fi

# Now configure LyX
echo "Configuring LyX for your system..."
cd %_datadir/lyx
./configure --srcdir

%postun
%clean_menus
if [ $1 = 0 ] ; then
    [ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:
fi


%files -f %name.lang -n %name-common
%doc INSTALL README ANNOUNCE NEWS INSTALL.autoconf
%doc UPGRADING
%doc BUGS.reLyX README.reLyX CHANGES.reLyX TODO.reLyX MANIFEST.reLyX
%_bindir/noweb2lyx
%_bindir/lyxcat
%_bindir/reLyX
%_man1dir/*
%_datadir/%name
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm
%_datadir/texmf/tex/latex/lyx

%files -n %name-xforms
%_bindir/%name-xforms
%_menudir/%name-xforms

%files -n %name-qt
%_bindir/%name-qt
%exclude %_bindir/%name-xforms
%_menudir/%name-qt

%files -n %name
%_bindir/%name

%changelog
* Fri Jun 18 2004 Vitaly Lipatov <lav@altlinux.ru> 1.3.4-alt2
- fix post/postun section with texhash
- add depend for latex-xft-fonts to lyx-qt
- add lyxcat script for preview lyx file in text mode
- move to Applications/Publishing menu

* Thu Feb 26 2004 Vitaly Lipatov <lav@altlinux.ru> 1.3.4-alt1
- new version
- change requires from python23 to python
- remove COPYING from doc
- if you want math mode symbols to show up properly (instead of red ERT text)
  see http://wiki.lyx.org/pmwiki.php/FAQ/Qt and try fix...
  or use xforms version

* Fri Jan 02 2004 Vitaly Lipatov <lav@altlinux.ru> 1.3.3-alt5
- move requires to tetex from lyx-common to lyx package
- fix language entry in ru_TOC.lyx
- add partially translated ru_UserGuide.lyx
- resave russian docs in LyX format 1.3
- build with gcc3.3

* Tue Nov 11 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.3-alt4.1
- fix spec (my stupid bug with copying languages.template)

* Sat Nov 01 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.3-alt4
- fix requires
- fix languages patch

* Thu Oct 30 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.3-alt3.1
- fix spec

* Mon Oct 27 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.3-alt3
- fix error in lib/languages filtering
- patch for fix russian filenames in graphics applied

* Thu Oct 09 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.3-alt2.1
- fix spec for build in hasher
- remove libpspell dependences

* Sat Oct 04 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.3-alt2
- add support for latex2rtf
- add lyx package for all lyx package install
- fix an error in patch
- now lyx is qt version by default

* Thu Oct 02 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.3-alt1
- new version
- add patch for filenames translation
- add patch for correct language charset

* Fri Apr 04 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.1-alt2
- remove really unneeded buildreqs

* Fri Mar 31 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.1-alt1
- new version
- split package in lyx-common, lyx-xforms, lyx-qt
- ru.po update
- non koi8-r input broken again in lyx-xforms
- stricted support of russian filenames

* Mon Dec 23 2002 Vitaly Lipatov <lav@altlinux.ru> 1.2.2-alt1
- new version
- ru.po update (some errors in 1.2.2 release)

* Thu Dec 05 2002 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt3
- move to Publishing group
- move to section Office/Wordprocessors in menu
- build with new tetex-2.0
- spec cleanup
- ru.po update
- add generic name
- update requires

* Sun Nov 03 2002 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt2
- correct bug with input in cp1251 locale
- new tuning for ru/ua locale
- rebuild for correct problem with incorrect path to locale dir
- add FAQ russian translation

* Mon Oct 07 2002 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt1
- new version
- update ru_Intro.lyx, ru.po
- some patches for cyrillic purposes

* Tue Sep 24 2002 Stanislav Ievlev <inger@altlinux.ru> 1.2.0-alt1.1
- rebuild with new xforms and XFree (patch5, 
  configure hack should be removed after new XFree build)
- added packager tag.

* Sun May 28 2002 Vitaly Lipatov <lav@altlinux.ru> 1.2.0-alt1
- version 1.2.0 release
- updated ru_splash.lyx ru_Intro.lyx, ru_Tutorial.lyx agaist 1.2.0 release
- updated ru.po agaist 1.2.0 release
- cp1251 documents now have names like ru.CP1251_splash.lyx
- removed doc2lyx support with hope that wvCleanLatex works correctly
- update spec

* Sun May 05 2002 Vitaly Lipatov <lav@altlinux.ru> 1.2.0-alt0
- version 1.2.0 from CVS
- modified old patches for 1.2.0 release
  + russian input support for 1.2.0 release

* Sun Apr 14 2002 Vitaly Lipatov <lav@altlinux.ru> 1.1.6-alt11
- add ru_Intro.lyx, ru_Tutorial.lyx, ru_RU_Intro.lyx, ru_RU_Tutorial.lyx
- ru.po update
- remove mozilla browser from detect in configure

* Mon Feb 18 2002 AEN <aen@logic.ru> 1.1.6-alt10
- new ru.po patch from Vitaly Lipatov

* Tue Jan 29 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.6-alt9
- Rebuilt with Python-2.2

* Sun Jan 19 2002 Vitaly Lipatov <vitlav@mail.ru> 1.1.6-alt8
- 1.1.6fix4 patch
- ru.po update
- restructured common -alt patch

* Sun Dec 23 2001 Sergey Vlasov <vsu@altlinux.ru> 1.1.6-alt7
- spec file cleanup
- fixed compilation options, added -fno-exceptions and -D_NOTHREADS
- updated ALT patch:
  + fixed cyrillic.bind to include all keysyms with and without Shift
    (needed to make Caps Lock work correctly with cyrillic characters)
  + fixed ru_RU_splash.lyx file name
- patch in configure.in to avoid picking up libpt from the [lib]pwlib package
- patch to fix problem with entering cyrillic text into a table cell
- patch to get better-looking << and >> quotes

* Sun Dec 16 2001 Vitaly Lipatov <vitlav@mail.ru> 1.1.6-alt6
- update ru.po
- patch in lib/configure for
  + correct russian default settings
  + recognize temporarily convertor doc2lyx (wait for correct wxLatex)
  + recognize some web browsers
  + key F11 for toggle internal keyboard layout by default
- new koi8-r_win.kmap for Win keyboard layout
- update ru_Splash.lyx

* Wed Jun 27 2001 Sergie Pugachev <fd_rag@altlinux.ru> 1.1.6-alt5
- Rebuilt with python-2.1

* Mon Jun 18 2001 AEN <aen@logic.ru> 1.1.6-alt4
- Requires: xforms-devel

* Thu Jun 14 2001 AEN <aen@logic.ru> 1.1.6-alt3
- io added in cyrillic.bind

* Mon Jun 4 2001 AEN <aen@logic.ru> 1.1.6-alt2
- pt154 fixed
- ru.po fixed

* Wed May 30 2001 AEN <aen@logic.ru> 1.1.6-alt1
- 1.1.6fix2
- new patch

* Sun Dec 24 2000 AEN <aen@logic.ru>
- back to 1.1.5 with two fixes
- new ipl patch:
  + new languages
  + new encodings
  + new cyrillic.bind
  + splach for CP1251
- gcc patch  

* Wed Nov 08 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.1.6-0.2mdk
- fixed xforms lftp command for ports

* Fri Oct 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-0.1mdk
- new release
- daouda cleaning
- gcc-2.96 build

* Thu Oct 19 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1.5-5mdk
- include fix2 (Kees report) : a lot of fixes!
- correct handling of icons  

* Sat Oct 07 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1.5-4mdk
- force icons to appear (big titi suX)

* Tue Sep 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.5-3mdk
- really install icon (fuc**** crashing ke which losts files)

* Tue Sep 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.5-2mdk
- uses find_lang
- fix Requires
- really install the menu icon (me sucks :-( )

* Mon Sep 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.5-1mdk
- many fixes
- BM

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.4-7mdk
- automatically added BuildRequires


* Thu Apr 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.4-6mdk
- add menu entry
- use spec-helper
- explain in spec how to build it (this needs to be compiled against static
  libxforms (which is authorized by its owners) because we cannot provide
  xforms.

* Thu Apr 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.4-5mdk
- various fixes (crash after repeated use of the backspace key, font tags,
  truncated images filename)
- add requires on tetex for post-install script

* Mon Apr 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.4-4mdk
- oops! half the locales were forgetted ...

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- new group name (same as klyx)
- fix compilation problems with new autoconf
- fix post-install scripts
- fix installation of i18n po files
- fix some bugs :
	* fix warnings about missing return type in X headers for some
     gcc/egcs versions.
	* fix parsing of LaTeX log files, where some errors got unnoticed.
	* add support for textclasses with more than 128 layouts (yes some
	  people do that!)
	* fix bug with filenames containing more that one "." (for example,
	  a.b.lyx was exported to a.ps).
	* fix partly bug with bibtex files located in the directory of
	  the document (now using an absolute path works).
	* bug in math editor, where greek letters (and some other symbols)
	  had too much spacing around them.

* Thu Mar 02 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix some bugs (i18n, non-gnu dvips handling, and a few others)
- add some warning in spec file in order to explain why we don't provide
  xforms. Hopefully, devel LyX-1.5 is getting independance from xforms ...
- fix compilation with newer g++-2.95.2

* Thu Feb 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.1.14

* Fri Dec 02 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.1.13

* Wed Sep 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rewritten %files (it had conflicts with filesystem package !)
- bzip2'ed man pages
- corrected prefix path; now it find the translation files again

* Wed Aug 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec


